Subject: Etherpad for collaborative note-taking

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 09 Nov 2011 11:43:24 +0100

Hi,

Acting on a recent suggestion from Peter Saint-Andre (on [email-masked]),
I've now set up an instance of Etherpad Lite (http://etherpad.org/) on
one of the tools servers, and used it to make a collaborative notes
document available for all WGs with a posted agenda for IETF-82.

You'll find it both linked in and embedded in the minutes page for your WG
on tools.ietf.org; for an example see http://tools.ietf.org/wg/clue/minutes

The note documents will be visible on the minutes page until you submit
official minutes for the meeting, at which time they will be replaced
by the minutes.  The etherpad documents will still be accessible directly
at the etherpad URL for some time after the meeting, but will be archived
and replaced by new empty documents before the next meeting.

Comments and suggestions are welcome!

Best regards,

	Henrik

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 09 Nov 2011 09:45:35 -0700

Hej, this is cool. Thanks, Henrik!

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 09 Nov 2011 11:56:27 -0500

Hmmm.   I hope I have misunderstood how this is to be used.

When I am taking minutes for a WG session,. I am typing a lot of bits 
and pieces, which I clean up during quieter points during the session, 
and right after the session.  If folks were watching what I was typing, 
I would probably decline to ever take minutes.

But this tool, and folks enthusiasm for it, seems to describe exactly 
such visibility.

Yours,
Joel

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 09 Nov 2011 10:01:40 -0700

So take minutes in your normal way. This is an option, not a requirement.

On 11/9/11 9:56 AM, Joel M. Halpern wrote:
> and right after the session. If folks were watching what I was typing, I
> would probably decline to ever take minutes.
>

---

From: Leif Johansson <[email-masked]>
Date: Wed, 09 Nov 2011 18:05:23 +0100

On 11/09/2011 05:56 PM, Joel M. Halpern wrote:
> When I am taking minutes for a WG session,. I am typing a lot of
> bits and pieces, which I clean up during quieter points during the
> session, and right after the session.  If folks were watching what
> I was typing, I would probably decline to ever take minutes.
> 
> But this tool, and folks enthusiasm for it, seems to describe
> exactly such visibility.

Some people like taking notes in the jabber-room today. Etherpad
offers a better user-experience for such collaborative note-taking.

If you don't like taking notes in public then this tool probably
isn't for you.

	Cheers Leif

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 9 Nov 2011 11:31:58 -0600

Thank you! This is a fantastic capability to have!

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Henrik Levkowetz
Sent: Wednesday, November 09, 2011 2:43 AM
To: WG Chairs
Subject: Etherpad for collaborative note-taking

Hi,

You'll find it both linked in and embedded in the minutes page for your
WG on tools.ietf.org; for an example see
http://tools.ietf.org/wg/clue/minutes

The note documents will be visible on the minutes page until you submit
official minutes for the meeting, at which time they will be replaced by
the minutes.  The etherpad documents will still be accessible directly
at the etherpad URL for some time after the meeting, but will be
archived and replaced by new empty documents before the next meeting.

Best regards,

	Henrik

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 9 Nov 2011 18:35:01 +0100

This is indeed a major enhancement.

> on tools.ietf.org; for an example see http://tools.ietf.org/wg/clue/minutes

I'm just wondering whether I should see it at:

http://tools.ietf.org/wg/core/minutes

as well -- this shows the IETF-81 minutes.
(But then, I have trouble logging in on that specific page.)

Grüße, Carsten

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 09 Nov 2011 18:47:09 +0100

> So take minutes in your normal way. This is an option, not a requirement.

Yes.  And if you take notes in your own editor, as you describe, etherpad
will let you upload those later, as an alternative to emailing them to
the chairs.  Or not, as people choose :-)

Best regards,

	Henrik

>>>> archived

---

From: [email-masked]
Date: Wed, 09 Nov 2011 18:50:16 +0100

Dear chairs,

just for the sake of completeness, I'd like to inform you all that  
Meetecho does provide a collaborative editing tool, too (see  
http://ietf82.conf.meetecho.com/index.php/Web_Client#TextEditor for a  
brief description), even if it can currently be used only when the  
session is actually ongoing.
Our approach is slightly different on two aspects:
1. we rely on a token, thus allowing only one person at a time to edit  
the document;
2. modifications are not propagated in real time, but a "commit" is  
sent manually by the editor or automatically every 10 seconds, and  
then displayed to all participants.

Furthermore, at any time, the current revision of the document can be  
exported to either a pdf, rtf or html file and sent to all participants.

My 2 cents,

Simon

-- 
                             _\\|//_
                             ( O-O )
    ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                     Simon Pietro Romano
               Universita' di Napoli Federico II
                  Computer Science Department
         Phone: +39 081 7683823 -- Fax: +39 081 7684219
                 e-mail: [email-masked]

     <<Molti mi dicono che lo scoraggiamento è l'alibi degli
    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
                          oooO
    ~~~~~~~~~~~~~~~~~~~~~~(   )~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
                           \ (    (   )
                            \_)    ) /
                                  (_/

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 09 Nov 2011 18:53:45 +0100

Hi Carsten,

> (But then, I have trouble logging in on that specific page.)

It's a bug (somewhere -- I'll start looking for it in a minute) that the
'81 notes are there labelled as '82 notes.  I've removed them, so you
should see the etherpad now

Best regards,

	Henrik

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 09 Nov 2011 14:13:50 -0500

> But this tool, and folks enthusiasm for it, seems to describe exactly

I must admit that when I take notes I sometimes include observations 
that I wouldn't want to share. Then I have to filter them out when 
publishing for the group.

But I don't do that often, and would probably not mind living without them.

	Thanks,
	Paul

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 9 Nov 2011 14:17:11 -0500

On Wed, Nov 9, 2011 at 2:13 PM, Paul Kyzivat <[email-masked]> wrote:
> I must admit that when I take notes I sometimes include observations that I
> wouldn't want to share. Then I have to filter them out when publishing for
> the group.
>

I have come to appreciate it. I like the crowd sourced updates and corrections.

Marshall

---

From: Lou Berger <[email-masked]>
Date: Fri, 18 Nov 2011 10:38:11 +0800

We just lost everything added to the ccamp etherpad page this week and
in the session going on right now; it reset back to 11/11.

Not sure if there's anything to be done to recover what's been lost, but
buyer beware!

Lou

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 18 Nov 2011 11:11:03 +0800

Hi Lou,

> in the session going on right now; it reset back to 11/11.

There's a large volume of ccamp notes history (15k content lenght, 3784
revisions) in the etherpad database, so I doubt all is lost.  Could be a
bug in displaying the content, maybe.  Looking more closely at this now.

	Henrik

---

From: Al Morton <[email-masked]>
Date: Thu, 17 Nov 2011 22:21:07 -0500

When I looked, it appeared that the replay/storage was stuck at
Nov 11 and would not move forward to display more recent records
and many-many saves that took place since then...

In comparison, BMWG etherpad had over 2000 saves by Nov 13th.

I gave people a couple of rules before starting:
  - add initials to your notes.
  - don't delete anyone else's notes
  - Postel liberal/conservative in effect
  - be careful and save off-line!

thanks for this, it was fun and useful!
Al

---

From: Lou Berger <[email-masked]>
Date: Fri, 18 Nov 2011 11:39:13 +0800

That's great!  Look forward to seeing them (if it's easy, you can just
unicast them to me...)

Much thanks,
Lou

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 18 Nov 2011 11:47:44 +0800

Al, Lou,

I've extracted the etherpad history for ccamp, and when I try to run
this in a separate pad, I get an exception and stack trace, so something
here is triggering a bug in the application.  I'll see what I can do
about it.  Anyway, here's the latest saved revision:

----------

Welcome to Etherpad Lite!

This pad text is synchronized as you type, so that
everyone viewing this page sees the same text.
This allows you to collaborate seamlessly on documents.

>                     CCAMP Agenda for the
>                     82nd IETF Meeting
>                     Version: Nov 06, 2011
>
>                     First Session
>                     Tuesday, November 15, 2011.
>                     1300 - 1500 Afternoon Session I
>                     Room Name: 3F Banquet
>
> Presentation            Start Time      Duration        Information
> 0     13:00   5
> Title:  Administrivia
> Draft:
> Presenter:      Chairs
> Notes:

> 1     13:05   10
> Title:  WG status, RFCs, drafts, milestones, charter, errata
> Draft:
> Presenter:      Chairs
> Notes:
Dan Li: lmp behavior negotiation - draft complete, waiting for feedbacks from WG and implementation
?1: dpm - revisions from Beijing, minor updates. Draft stable
Fei: associated-lsp - Looking for feedback on the WG list
Lou Berger: Resource sharing - waiting for update

> 2     13:15   15
> Title:  Framework and Information model for GMPLS and PCE Control of G.709 Optical Transport Networks
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-g709-framework-05
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-otn-g709-info-model-02
> Presenter:      Sergio Belotti
> Notes:
Lou Berger: There have been many on line and off line discussion on TSG and a suggestion of using the PT instead of the TSG. Can you elaborate on current thinking of authors?
Sergio: The same information carried by the TSG can be deduced by PT and server layer information.
Lou Berger: Are there any updates since last discussions?
Sergio Belotti: No specific discussion about info model but about encoding. Information carried can be: hierarchy plus PT plus server layer
Lou Berger: looking forward to see discussion on the ML.

Lou: Don't forget about the comment from the last IETF, to include a compatibility section in the framework document (perhaps taking some of the text from the current routing and signaling drafts.)

> 3     13:30   15
> Title:  Traffic Engineering Extensions to OSPF for Generalized MPLS (GMPLS) Control of Evolving G.709 OTN Networks
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-ospf-g709v3-00
> Presenter:      Daniele Ceccarelli
> Notes:
Lyndon Ong: Typo on slide 4: ISCD and SCSI reversed on slide
(discussion on unstructured traffic)
Raj: trying to clarify: intent is to allow for non-OTN clients to be mapped onto OTN
Jon Sadler: Is a general multi-layer issue
(lots of discussion, not captured.)

> 4     13:45   10
> Title:  Generalized Multi-Protocol Label Switching (GMPLS) Signaling Extensions for the evolving G.709 Optical Transport Networks Control
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-signaling-g709v3-01
> Presenter:      Fatai Zhang
> Notes:
Lou: Ensure informative language has matching conformance [RFC2119] language where appropriate.  This is  general comment on all PS drafts.

> 5     13:55   10
> Title:  GMPLS RSVP-TE extensions for OAM Configuration
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-oam-configuration-fwk-06
>         http://tools.ietf.org/html/draft-ietf-ccamp-rsvp-te-eth-oam-ext-06
>         http://tools.ietf.org/html/draft-ietf-ccamp-rsvp-te-mpls-tp-oam-ext-06
>         http://tools.ietf.org/html/draft-ietf-ccamp-rsvp-te-sdh-otn-oam-ext-03
> Presenter:      Elisa Bellagamba and Attila Takacs
> Notes:
Rajan: Comment on the SDH-OTN draft. It doesn't seem to cover all the cases for the OTN case
Deborah: had previous
Lou: Has comments from last meeting been resolved? In particular the ones from George?
Elisa: Unnecessary flags deleted and unclear ones clarified.
Lou: So have they been addressed?
Elisa: Yes, Can check offline
Lou: What about changes related to LSP ping?
Elisa: Changes are related to intermediate nodes.
Lou: Please have a look at this version and make sure there are no additional comments and then we'll decide how to progress them. They have been around for a while
Adrian: Deborah, did you say we should liase the Ethernet and xxx to the ITU-T? Why not -TP?

> 6     14:05   8
> Title:  Routing and Wavelength Assignment Information Encoding for Wavelength Switched Optical Networks
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-rwa-wson-encode-13
> Presenter:      Young Lee
> Notes:
Dan presenting.
Cyril: sent comments regarding the info model (e.g. label set) and not all of them have been addressed.
Lou: discussion to be kept to the list as the proper people are not here.
Greg from Jabber: See no issue
Cyril: they are on the list

> 7     14:13   7
> Title:  GMPLS OSPF Enhancement for Signal and Network Element Compatibility for Wavelength Switched Optical Networks
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-wson-signal-compatibility-ospf-07
> Presenter:      Young Lee
> Notes:
Dan Li presenting.
Lou: Confused by the conclusion of the discussion on the list. Not sure the resolution on the list is reflected in the current text.  Will review and send mail to the list if believes there is a disconnect.
Greg on Jabber: new version planned. We will be removing section 3.2, which has the additional options.We have that discussion in the text now. We address the sync issue in the current text

> 8     14:20   10
> Title:  OSPF-TE Extensions for General Network Element Constraints
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-general-constraints-ospf-te-02
> Presenter:      Fatai Zhang
> Notes:

> 9     14:30   10
> Title:  RSVP Association Object Extensions
> Draft:  http://tools.ietf.org/html/draft-ietf-ccamp-assoc-ext-01
> Presenter:      Lou Berger
> Notes:
Julien: Let's move on. SUpport option 1.
Eric: Option 1.
Lou: one last pass and then move forward.

> 10    14:40   10
> Title:  Multi-Protocol Label Switching Transport Profile (MPLS-TP) Operator Identifier Object
> Draft:  http://tools.ietf.org/html/draft-chen-ccamp-mpls-tp-oio-01
> Presenter:      Vero Zheng
> Notes:
Kam: LSP end can use different formats.
Vero: There has been a discussion in the MPLS
George: There is no consensus
Eve: Global control plane identifiers are a general issue, teh draft is suggesting that all across the network each domain must use the same identifiers. It is a generic issue and not a -TP issue. The one carried in the MPLS is a -TP issue.
Kam: there is no need to redefine a global identifier as identifiers can be translated.
Lou: (discussion on the comparison with the association object)
Vero: do you think carrying the Global ID is useful?
Lou: Yes as a WG.

> 11    14:50   10
> Title:  RSVP-TE Extensions to Exchange MPLS-TP Tunnel Numbers
> Draft:  http://tools.ietf.org/html/draft-zhang-ccamp-mpls-tp-rsvpte-ext-tunnel-num-00
> Presenter:      Fei Zhang
> Notes:

PRESENTATION FROM SECOND SESSION MOVED HERE

> 15    9:35    10
> Title:  GMPLS-UNI BCP
> Note:   This presentation will be moved to the end of session 1, if time permits
> Draft:  http://tools.ietf.org/html/draft-beeram-ccamp-gmpls-uni-bcp-00
> Presenter:      Igor Bryskin/John Drake
> Notes:
Eve: It seems like the VPN type of application, what's the distinction?
Igor: we provide a limit view of the underlying topology
Lou: Looking forward to see the next version with this clarified and also the scope of the draft: info, standard track.

> Adjourn       15:00
>
>         Second Session
>         Friday, November 18, 2011.
>         0900-1100 Morning Session I
>         Room Name: 3F Banquet
>
> Presentation            Start Time      Duration        Information
> 0     9:00    5
> Title:  Administrivia
> Draft:
> Presenter:      Chairs
> Notes:

> 12    9:05    10
> Title:  Label Switched Path (LSP) Provisioning Performance Management Information Base for Generalized MPLS (GMPLS) / MPLS-TE networks
> Draft:  http://tools.ietf.org/html/draft-sun-ccamp-gmpls-perf-mib-00
> Presenter:      Weiqiang Sun
> Notes:
Lou: Does the device provide the info itself? Usually measurements are done by third devices
Weiqiang: It's not a matter of measurement, it's a matter of storing the data.
Lou: It's related to in scope work, but can I see a show of hands of how many are interested in working on this draft, no hands shown. I am not sure the WG is interested in pursuing this. Please take this to the list and see if anyone is willing to work on this.

> 13    9:15    10
> Title:  RSVP-TE Extensions for Configuration SRLG of an FA
> Draft:  http://tools.ietf.org/html/draft-zhang-ccamp-srlg-fa-configuration-04
> Presenter:      Oscar González de Dios
> Notes:
Lou: Misundertood the comments received at last meeting. Comment from last meeting was: procedures good but usage out of scope. You should take them back. We can clarify this on the list. I will flag the comments.
Oscar: Ok.
Lou: Those commenting that they did not like the application usuage. Post to the list and say \"hey, this is what I would like dropped\".
Deborah:Poll [read/not read], anyone not comfortable with taking this to the list?[no] Ok we will take this to the list.
Lou: As always you need people to indicate that they want to work on this in order to be accepted as a WG document.

> 14    9:25    10
> Title:  Requirements for GMPLS Routing for ASON
> Draft:  http://tools.ietf.org/html/draft-wang-ccamp-rfc4258bis-00
> Presenter:      Qilei Wang
> Notes:

[Dropped at request of authors]

> 15    9:35    10
> Title:  GMPLS-UNI BCP
> Note:   This presentation will be moved to the end of session 1, if time permits
> Draft:  http://tools.ietf.org/html/draft-beeram-ccamp-gmpls-uni-bcp-00
> Presenter:      Igor Bryskin/John Drake
> Notes: Presentation given in session 1

[This draft was presented in session 1.]

> 16    9:45    10
> Title:  Requirements for GMPLS Control of Flexible Grids
> Draft:  http://tools.ietf.org/html/draft-zhang-ccamp-flexible-grid-requirements-01
> Presenter:      Fatai Zhang
> Notes:
Lou: [Slide Impacts on WSON: Flexible Grid Specific Info] you're introducing the spectrum definition. Why don't using the term we've been using for a while? Wavelength.
Fatai: We are trying to differentiate from existing...[missed]... flexible and fixed.
Lou: The differentiation among the two terms is something that matters only to those who are deeply involve
Fatai: Ok I can understand, we can use ITU terminology.
Deborah: its in progress, we will continue to Liason.
Malcolm: We need to be cautious about moving ahead here. There are no mention of components that suppoort it (application codes). We need a new term, it is differnt from a central wavelength. There are various things to consider versus fixed grid. This assumes tunable filters, yet this likely to be limited. Yes, inetersting but lets be a little cautious.
Lou: So to clarify. Your saying this is early.
malcolm: yes, but its dangerous to use terms that may be different.
Lou: ok and you think the term flexible grid is not enough/
Infinera:
Lou: we need to be clear (from process perspective) that we are not defining data plane functionality. We can automate though.
Jon: I am concerned with some of what is being said/presented. I think we need to wait for ITU to further evolve the work.
Julien: if we are too early for technology, so lets discuss terminology. Stacking too many terms, in our context, is a waste of time.
Eve:Agree with Malcom. Not a good idea trying to make the flexi grid fit the current terminology.
Rajan: From GMPLs perspective, we do not need to constrain ourselves.

> 17    9:55    8
> Title:  GMPLS OSPF-TE Extensions in support of Flexible-Grid in DWDM Networks
> Draft:  http://tools.ietf.org/html/draft-zhang-ccamp-flexible-grid-ospf-ext-00
> Presenter:      Fatai ZhangDaniele Ceccarelli
> Notes:

Malcolm: it will be interesting to see how extensions can be achived for routing constraints, via cross connects.

> 18    10:03   7
> Title:  RSVP-TE Signaling Extensions in support of Flexible Grid
> Draft:  http://tools.ietf.org/html/draft-zhang-ccamp-flexible-grid-rsvp-te-ext-00
> Presenter:      Fatai Zhang
> Notes:

Lou: there are some open issues being dicussed on the list, which span across multiple documents. Lets discuss those issues after the flexi-grid presentations.

> 19    10:10   10
> Title:  OSPFTE extension to support GMPLS for Flex Grid
> Draft:  http://tools.ietf.org/html/draft-dhillon-ccamp-super-channel-ospfte-ext-01
> Presenter:      Rajan Rao
> Notes:

Lou: clarifying question, you found some issues [with WSON document xxx] so you need to send comments to the authors and ideally via the list.
Eve: if I had not been  familiar with Super Channel terminology i thought you were changing the G.872 architectural concepts. I'm really unconfortable with any work on control plane addressign super channel issues. With slices also.
Malcom: [missed]
Ghani : [slide - 8-priorities] can you explain the rationale.
Ghani Abbas: what is the rationale behing using 8 bits slices? And what has VACT to deal with flexi grid?
Deborah: we need to stick with ITU.
Rajan: yes.

> 20    10:20   10
> Title:  Generalized Label for Super-Channel Assignment on Flexible Grid
> Draft:  http://tools.ietf.org/html/draft-hussain-ccamp-super-channel-label-01
> Presenter:      Iftekhar Hussain
> Notes:

> 21    10:30   10
> Title:  Generalized Labels for the Flexi-Grid in Lambda-Switch-Capable (LSC) Label Switching Routers
> Draft:  http://tools.ietf.org/html/draft-farrkingel-ccamp-flexigrid-lambda-label-01
> Presenter:      Adrian Farrel
> Notes:

> 22    10:40   10
> Title:  OSPF-TE Protocol Extension for Constraint-aware RSA in Flexi-Grid Networks
> Draft:  http://tools.ietf.org/html/draft-zhangj-ccamp-flexi-grid-ospf-te-ext-00
> Presenter:      Yongli Zhao
> Notes:

> 23    10:50   10
> Title:  Discussion & next steps on Flexible Grid
> Draft:
> Presenter:
> Notes:

> Adjourn       11:00

----------

Best regards,

	Henrik